db cursor
Prev | Chapter 1. Berkeley DB Tcl APIs | Next

## db cursor

    db cursor
    	[-txn txnid]

The db cursor command creates a database cursor. The returned cursor handle is bound to a Tcl command of the form dbN.cX, where X is an integer starting at 0 (for example, db0.c0 and db0.c1). It is through this Tcl command that the script accesses the cursor methods.

The options are as follows:

- -txn txnid

  If the operation is part of an application-specified transaction, the txnid parameter is a transaction handle returned from env txn. If no transaction handle is specified, but the operation occurs in a transactional database, the operation will be implicitly transaction protected.

In the case of error, a Tcl error is thrown.

Prev | Up | Next
db count | Home | db del